Company logoTrust Center Documentation
API v1 ReferenceKnowledge baseId

Get Q&A item details

Retrieve a specific knowledge base Q&A item by ID. Include `locale` or `x-locale` to load editable localized question and answer content for an enabled…

GET
/api/v1/knowledge-base/{id}

Retrieve a specific knowledge base Q&A item by ID. Include locale or x-locale to load editable localized question and answer content for an enabled tenant language. If the requested locale is not enabled, the tenant default locale is returned.

Authorization

bearerAuth
AuthorizationBearer <token>

API key generated in Admin Center Integrations

In: header

Path Parameters

id*string

Q&A item ID

Length1 <= length

Query Parameters

locale?string

Requested locale for localized Q&A content.

Value in

  • "en"
  • "de"
  • "fr"

Header Parameters

x-locale?string

Alternative locale selector when locale is not present in the query string or body.

Value in

  • "en"
  • "de"
  • "fr"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/knowledge-base/kb-123"

{  "knowledgeBase": {    "id": "kb-123",    "question": "What security certifications do you have?",    "answer": "We maintain SOC 2 Type II and ISO 27001 certifications.",    "answer_md": "We maintain **SOC 2 Type II** and **ISO 27001** certifications.",    "access_level": "public",    "tags": [      "security",      "certifications"    ]  },  "selectedLocale": "en",  "error": null}

How is this guide?